aboutsummaryrefslogtreecommitdiffstats
path: root/testing/rsyslog/APKBUILD
diff options
context:
space:
mode:
authorCameron Banta <cbanta@gmail.com>2010-12-13 17:36:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-14 10:23:24 +0000
commit36d7505e01641fdbfa85d1d83076633b06545649 (patch)
treeadacf69aff6edd791de13b1b4944d06e1956268c /testing/rsyslog/APKBUILD
parentf4377b771e78b3fa94a9e54f4f3cb93d9d5bff29 (diff)
downloadaports-36d7505e01641fdbfa85d1d83076633b06545649.tar.gz
aports-36d7505e01641fdbfa85d1d83076633b06545649.tar.bz2
aports-36d7505e01641fdbfa85d1d83076633b06545649.tar.xz
testing/rsyslog: new package
Diffstat (limited to 'testing/rsyslog/APKBUILD')
-rw-r--r--testing/rsyslog/APKBUILD84
1 files changed, 84 insertions, 0 deletions
diff --git a/testing/rsyslog/APKBUILD b/testing/rsyslog/APKBUILD
new file mode 100644
index 0000000000..12e2ec987f
--- /dev/null
+++ b/testing/rsyslog/APKBUILD
@@ -0,0 +1,84 @@
+# Contributor: cbanta@gmail.com
+# Maintainer: cbanta@gmail.com
+pkgname=rsyslog
+pkgver=5.6.2
+pkgrel=0
+pkgdesc="Enhanced multi-threaded syslogd with database support and more."
+url="http://www.rsyslog.com/"
+license="GPLv3 LGPL-3"
+makedepends="zlib-dev gnutls-dev mysql-dev postgresql-dev net-snmp-dev libnet-dev"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-mysql $pkgname-pgsql $pkgname-tls $pkgname-snmp"
+source="http://www.rsyslog.com/files/download/$pkgname/$pkgname-$pkgver.tar.gz
+ $pkgname.initd
+ $pkgname.confd
+ $pkgname.logrotate
+ $pkgname.conf"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --disable-gui \
+ --disable-rfc3195 \
+ --enable-largefile \
+ --enable-imdiag \
+ --enable-imfile \
+ --enable-imtemplate \
+ --enable-mail \
+ --enable-omprog \
+ --enable-omstdout \
+ --enable-omtemplate \
+ --enable-omudpspoof \
+ --enable-zlib \
+ --enable-mysql \
+ --enable-pgsql \
+ --enable-gnutls \
+ --enable-snmp \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ install -m644 -D "$srcdir"/$pkgname.logrotate "$pkgdir"/etc/logrotate.d/$pkgname
+ install -m644 -D "$srcdir"/$pkgname.conf "$pkgdir"/etc/$pkgname.conf
+}
+
+mysql() {
+ pkgdesc="rsyslog mysql support"
+ mkdir -p "$subpkgdir"/usr/lib/rsyslog/
+ mv "$pkgdir"/usr/lib/rsyslog/ommysql.so "$subpkgdir"/usr/lib/rsyslog/
+}
+
+pgsql() {
+ pkgdesc="rsyslog pgsql support"
+ mkdir -p "$subpkgdir"/usr/lib/rsyslog/
+ mv "$pkgdir"/usr/lib/rsyslog/ompgsql.so "$subpkgdir"/usr/lib/rsyslog/
+}
+
+tls() {
+ pkgdesc="rsyslog tls support"
+ mkdir -p "$subpkgdir"/usr/lib/rsyslog/
+ mv "$pkgdir"/usr/lib/rsyslog/lmnsd_gtls.so "$subpkgdir"/usr/lib/rsyslog/
+}
+
+snmp() {
+ pkgdesc="rsyslog snmp support"
+ mkdir -p "$subpkgdir"/usr/lib/rsyslog/
+ mv "$pkgdir"/usr/lib/rsyslog/omsnmp.so "$subpkgdir"/usr/lib/rsyslog/
+}
+
+md5sums="6fc0bdf1b2de7f6466b4510194008e3c rsyslog-5.6.2.tar.gz
+06f6e1ef8a05d3b6b49c06b0b99d3064 rsyslog.initd
+0a0aef98f677364e6178c34274df7723 rsyslog.confd
+bc43debc9ffdf66bc1409025fd3d1176 rsyslog.logrotate
+65fbf5a7a81a53a70974e3085e96cb41 rsyslog.conf"